Yate: MD5 Class Reference

Yate

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
MD5 Class Reference

A standard MD5 digest calculator. More...

`#include <yateclass.h>`

Inheritance diagram for MD5:

## Public Member Functions
| MD5 ()
| MD5 (const MD5 &original)
| MD5 (const void *buf, unsigned int len)
| MD5 (const DataBlock &data)
| MD5 (const String &str)
MD5 & | operator= (const MD5 &original)
virtual | ~MD5 ()
virtual void | clear ()
virtual void | finalize ()
virtual const unsigned char * | rawDigest ()
virtual unsigned int | hashLength () const
Public Member Functions inherited from Hasher
virtual | ~Hasher ()
const String & | hexDigest ()
bool | update (const void *buf, unsigned int len)
bool | update (const DataBlock &data)
bool | update (const String &str)
Hasher & | operator<< (const String &value)
Hasher & | operator<< (const DataBlock &data)
Hasher & | operator<< (const char *value)
bool | hmacStart (DataBlock &opad, const void *key, unsigned int keyLen)
bool | hmacStart (DataBlock &opad, const DataBlock &key)
bool | hmacStart (DataBlock &opad, const String &key)
bool | hmacFinal (const DataBlock &opad)
bool | hmac (const void *key, unsigned int keyLen, const void *msg, unsigned int msgLen)
bool | hmac (const DataBlock &key, const DataBlock &msg)
bool | hmac (const String &key, const String &msg)
virtual unsigned int | hmacBlockSize () const

## Static Public Member Functions
static unsigned int | rawLength ()

## Protected Member Functions
bool | updateInternal (const void *buf, unsigned int len)
Protected Member Functions inherited from Hasher
| Hasher ()

## Additional Inherited Members
Protected Attributes inherited from Hasher
void * | m_private
String | m_hex

## Detailed Description

A standard MD5 digest calculator.

A class to compute and check MD5 digests

## Constructor & Destructor Documentation

## ◆ MD5() [1/5]

MD5 | ( |  | ) |

Construct a fresh initialized instance

Referenced by MD5(), and operator=().

## ◆ MD5() [2/5]

MD5 | ( | const MD5 & | original | ) |

Copy constructor

Parameters

  original | MD5 instance to copy

References MD5().

## ◆ MD5() [3/5]

MD5 | ( | const void * | buf,
|  | unsigned int | len )

Construct a digest from a buffer of data

Parameters

  buf | Pointer to the data to be included in digest
  len | Length of data in the buffer

## ◆ MD5() [4/5]

MD5 | ( | const DataBlock & | data | ) |

Construct a digest from a binary DataBlock

Parameters

  data | Binary data to be included in digest

## ◆ MD5() [5/5]

MD5 | ( | const String & | str | ) |

Construct a digest from a String

Parameters

  str | String to be included in digest

## ◆ ~MD5()

virtual ~MD5 | ( |  | ) |
| virtual

Destroy the instance, free allocated memory

## Member Function Documentation

## ◆ clear()

virtual void clear | ( |  | ) |
| virtual

Clear the digest and prepare for reuse

Implements Hasher.

## ◆ finalize()

virtual void finalize | ( |  | ) |
| virtual

Finalize the digest computation, make result ready. Subsequent calls to update() will fail

Implements Hasher.

## ◆ hashLength()

virtual unsigned int hashLength | ( |  | ) | const
| inlinevirtual

Return the length of the raw binary digest

Returns
  Length of the digest in octets

Implements Hasher.

## ◆ operator=()

MD5 & operator= | ( | const MD5 & | original | ) |

Assignment operator.

References MD5().

## ◆ rawDigest()

virtual const unsigned char * rawDigest | ( |  | ) |
| virtual

Returns a pointer to the raw 16-byte binary value of the message digest. The digest is finalized if if wasn't already

Returns
  Pointer to the raw digest data or NULL if some error occured

Implements Hasher.

## ◆ rawLength()

unsigned int rawLength | ( |  | ) |
| inlinestatic

Return the length of the raw binary digest

Returns
  Constant value of 16

## ◆ updateInternal()

bool updateInternal | ( | const void * | buf,
|  | unsigned int | len )
| protectedvirtual

Update the digest from a buffer of data

Parameters

  buf | Pointer to the data to be included in digest
  len | Length of data in the buffer

Returns
  True if success, false if finalize() was already called

Implements Hasher.

The documentation for this class was generated from the following file:

- yateclass.h